cURL
curl --request GET \
--url https://api.trexi.ai/api/applications/{id}/feedback \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trexi.ai/api/applications/{id}/feedback"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trexi.ai/api/applications/{id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application": {
"id": 123,
"candidateId": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"resumeUrl": "<string>",
"jobId": 123,
"jobTitle": "<string>",
"kitBody": "<string>"
},
"canSeeAll": true,
"canManage": true,
"myFeedback": {
"notes": "<string>",
"ratings": [
{
"criterionId": 123
}
]
},
"feedback": [
{
"id": 123,
"authorName": "<string>",
"notes": "<string>",
"ratings": [
{
"criterionId": 123
}
],
"updatedAt": "<string>",
"isMine": true
}
],
"criteria": [
{
"id": 123,
"name": "<string>",
"position": 123
}
],
"scorecard": [
{
"criterionId": 123,
"name": "<string>",
"average": 123,
"count": 123
}
],
"interviewers": [
{
"userId": "<string>",
"name": "<string>",
"hasSubmitted": true
}
]
}{
"error": "<string>"
}feedback
Get apiapplications feedback
GET
/
api
/
applications
/
{id}
/
feedback
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I